Bug 28347 - Add DataTables, additional information to patron attribute types management
Summary: Add DataTables, additional information to patron attribute types management
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Nick Clemens
URL:
Keywords:
Depends on: 28345
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-13 11:05 UTC by Owen Leonard
Modified: 2022-06-06 20:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28347: Add DataTables, additional information to patron attribute types management (4.85 KB, patch)
2021-05-13 12:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28347: Add DataTables, additional information to patron attribute types management (4.90 KB, patch)
2021-05-16 21:00 UTC, David Nind
Details | Diff | Splinter Review
Bug 28347: Add DataTables, additional information to patron attribute types management (4.94 KB, patch)
2021-07-23 14:40 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-05-13 11:05:29 UTC
I'd like to make some enhancements to the patron attribute types management page:

- Add DataTable features
- Add authorized value category and mandatory information to the tables
- Correct "branch" to "library"
Comment 1 Owen Leonard 2021-05-13 12:08:54 UTC
Created attachment 120922 [details] [review]
Bug 28347: Add DataTables, additional information to patron attribute types management

This patch enhances the display of patron attribute information on the
attribute management page.

To test, apply the patch and go to Administration -> Patron attribute
types.

 - If necessary, add multiple patron attributes so that there is data to
   display. Include:
   - Some which are mandatory
   - Some which are linked to an authorized value category
   - Some which share a class.
 - The tables showing your attributes should each have DataTables
   sorting and controls (except for column configuration, which isn't
   added by this patch).
 - Confirm that DataTable controls work correctly for each table.
 - The table should include columns showing authorized value category
   and whether the attribute is mandatory.
 - If you are logged in as a user with permission to manage
   authorized values, the data in the authorized value category
   column should be linked to that category on the authorized values
   page.
Comment 2 David Nind 2021-05-16 21:00:20 UTC
Created attachment 121020 [details] [review]
Bug 28347: Add DataTables, additional information to patron attribute types management

This patch enhances the display of patron attribute information on the
attribute management page.

To test, apply the patch and go to Administration -> Patron attribute
types.

 - If necessary, add multiple patron attributes so that there is data to
   display. Include:
   - Some which are mandatory
   - Some which are linked to an authorized value category
   - Some which share a class.
 - The tables showing your attributes should each have DataTables
   sorting and controls (except for column configuration, which isn't
   added by this patch).
 - Confirm that DataTable controls work correctly for each table.
 - The table should include columns showing authorized value category
   and whether the attribute is mandatory.
 - If you are logged in as a user with permission to manage
   authorized values, the data in the authorized value category
   column should be linked to that category on the authorized values
   page.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2021-07-23 14:40:38 UTC
Created attachment 123126 [details] [review]
Bug 28347: Add DataTables, additional information to patron attribute types management

This patch enhances the display of patron attribute information on the
attribute management page.

To test, apply the patch and go to Administration -> Patron attribute
types.

 - If necessary, add multiple patron attributes so that there is data to
   display. Include:
   - Some which are mandatory
   - Some which are linked to an authorized value category
   - Some which share a class.
 - The tables showing your attributes should each have DataTables
   sorting and controls (except for column configuration, which isn't
   added by this patch).
 - Confirm that DataTable controls work correctly for each table.
 - The table should include columns showing authorized value category
   and whether the attribute is mandatory.
 - If you are logged in as a user with permission to manage
   authorized values, the data in the authorized value category
   column should be linked to that category on the authorized values
   page.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2021-07-26 10:47:43 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-07-30 16:15:11 UTC
Enhancement not backported for 21.05